Module jdk.jfr
Package jdk.jfr.consumer

# Class RecordedMethod

java.lang.Object
jdk.jfr.consumer.RecordedObject
jdk.jfr.consumer.RecordedMethod

public final class RecordedMethod extends RecordedObject
A recorded method.

Since:
  9

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescriptor()`
Returns the method descriptor for this method (for example, `"(Ljava/lang/String;)V"`).
`int`
`getModifiers()`
Returns the modifiers for this method.
`String`
`getName()`
Returns the name of this method, for example `"toString"`.
`RecordedClass`
`getType()`
Returns the class this method belongs to, if it belong to a Java frame.
`boolean`
`isHidden()`
Returns whether this method is hidden (for example, wrapper code in a lambda expressions).

### Methods declared in class jdk.jfr.consumer.RecordedObject

`getBoolean, getByte, getChar, getClass, getDouble, getDuration, getFields, getFloat, getInstant, getInt, getLong, getShort, getString, getThread, getValue, hasField, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getType

public RecordedClass getType()
Returns the class this method belongs to, if it belong to a Java frame.

To ensure this is a Java frame, use the `RecordedFrame.isJavaFrame()` method.

Returns:
  the class, may be `null` if not a Java frame
See Also:
  - `RecordedFrame.isJavaFrame()`

### getName

public String getName()
Returns the name of this method, for example `"toString"`.

If this method doesn't belong to a Java frame the result is undefined.

Returns:
  method name, or `null` if doesn't exist
See Also:
  - `RecordedFrame.isJavaFrame()`

### getDescriptor

public String getDescriptor()
Returns the method descriptor for this method (for example, `"(Ljava/lang/String;)V"`).

If this method doesn't belong to a Java frame then the result is undefined.

Returns:
  method descriptor
See Java Virtual Machine Specification:
  4.3 Descriptors
See Also:
  - `RecordedFrame.isJavaFrame()`

### getModifiers

public int getModifiers()
Returns the modifiers for this method.

If this method doesn't belong to a Java frame, then the result is undefined.

Returns:
  the modifiers
See Also:
  - `Modifier`
  - `RecordedFrame.isJavaFrame()`

### isHidden

public boolean isHidden()
Returns whether this method is hidden (for example, wrapper code in a lambda expressions).

Returns:
  `true` if method is hidden, `false` otherwise